## ros-one-laser-geometry 1.6.7-5jammy.20251023.0856

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(laser_geometry)

find_package(catkin REQUIRED
    COMPONENTS
        angles
        roscpp
        sensor_msgs
        tf
        tf2
        tf2_geometry_msgs
)

find_package(Boost REQUIRED COMPONENTS system thread)

find_package(Eigen3 REQUIRED)
# Handle FindEigen3 module's differing definitions
if(NOT DEFINED EIGEN3_INCLUDE_DIRS AND DEFINED EIGEN3_INCLUDE_DIR)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES laser_geometry
  CATKIN_DEPENDS tf tf2
  DEPENDS Boost EIGEN3
)

include_directories(include
    ${catkin_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
)

add_library(laser_geometry src/laser_geometry.cpp)
target_link_libraries(laser_geometry ${Boost_LIBRARIES} ${tf_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  catkin_add_gtest(projection_test test/projection_test.cpp)
  target_include_directories(projection_test PRIVATE ${rostest_INCLUDE_DIRS})
  target_link_libraries(projection_test laser_geometry)

  catkin_add_nosetests(test/projection_test.py)
endif()

install(TARGETS laser_geometry
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/laser_geometry/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-one-laser-geometry (1.6.7-5jammy.20251023.0856) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Hershberger <dave.hershberger@sri.com>  Thu, 23 Oct 2025 08:56:28 +0000

ros-one-laser-geometry (1.6.7-0jammy) jammy; urgency=high

  * Require C++11
  * Contributors: Mabel Zhang, Martin Pecka

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 05 Feb 2021 00:00:00 -0000

ros-one-laser-geometry (1.6.6-0jammy) jammy; urgency=high

  * Handle FindEigen3 module's differing definitions, define EIGEN3_INCLUDE_DIRS with EIGEN3_INCLUDE_DIR.
  * update maintainers
  * Added transformLaserScanToPointCloud() version utilizing fixed frame.
  * Contributors: Jonathan Binney, Mabel Zhang, Martin Pecka, Scott K Logan

 -- Dave Hershberger <dave.hershberger@sri.com>  Thu, 14 Jan 2021 00:00:00 -0000

ros-one-laser-geometry (1.6.5-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048
  * Update package.xml to schema version 3
  * Choose python version based on what ros is using
  * Make rostest headers available to projection_test
  * Remove unneeded time header - it was breaking windows builds.
  * add DLL import/export macro
  * export dll on Windows
  * rename visibility macro
  * windows bringup
  * extend CMake install targets
  * Add dependency on tf2 for downstream packages
  * Update and fix package.xml Eigen dependency
  * Export Eigen dependency
  * Create LICENSE
  * Better use of numpy
  * Contributors: Eric Wieser, James Xu, Jochen Sprickerhof, Jon Binney, Jonathan Binney, Scott K Logan, Shane Loretz, Tully Foote, Vincent Rabaud, William Woodall

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 13 Mar 2020 00:00:00 -0000

ros-one-laser-geometry (1.6.4-0jammy) jammy; urgency=high

  * Fix segfault when laserscan ranges[] is empty
  * Contributors: Timm Linder, Vincent Rabaud

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 18 May 2015 00:00:00 -0000

ros-one-laser-geometry (1.6.3-0jammy) jammy; urgency=high

  * provide support for tf2
  * Contributors: Vincent Rabaud

 -- Dave Hershberger <dave.hershberger@sri.com>  Sat, 07 Mar 2015 00:00:00 -0000

ros-one-laser-geometry (1.6.2-0jammy) jammy; urgency=high

  * adds python port (only simple projection)
  * allows to have range_cutoff > range_max
    NOTE this is required if we need to keep the range_max readings
    in the point cloud.
    An example application is an obstacle_layer in a costmap.
  * Contributors: Vincent Rabaud, enriquefernandez

 -- Dave Hershberger <dave.hershberger@sri.com>  Sun, 08 Jun 2014 00:00:00 -0000

ros-one-laser-geometry (1.6.1-0jammy) jammy; urgency=high

  * Added dependency on cmake_modules
  * Contributors: William Woodall

 -- Dave Hershberger <dave.hershberger@sri.com>  Sun, 23 Feb 2014 00:00:00 -0000

ros-one-laser-geometry (1.6.0-0jammy) jammy; urgency=high

  * Adding William Woodall as a co-maintainer
  * Contributors: Vincent Rabaud, William Woodall

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 21 Feb 2014 00:00:00 -0000

ros-one-laser-geometry (1.5.15-0jammy) jammy; urgency=high

  * Fix mistake in end_time calculation for scan transformation in #6

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 02 Dec 2013 00:00:00 -0000

ros-one-laser-geometry (1.5.14-0jammy) jammy; urgency=high

  * Treat max_range as invalid measurement
  * Properly propagate range_cutoff
  * check for CATKIN_ENABLE_TESTING

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 04 Nov 2013 00:00:00 -0000

ros-one-laser-geometry (1.5.13-0jammy) jammy; urgency=high

  * fixes #3 <https://github.com/ros-perception/laser_geometry/issues/3>

 -- Dave Hershberger <dave.hershberger@sri.com>  Sun, 06 Oct 2013 00:00:00 -0000

ros-one-laser-geometry (1.5.12-0jammy) jammy; urgency=high

  * fix case of Eigen find_package name

 -- Dave Hershberger <dave.hershberger@sri.com>  Sat, 14 Sep 2013 00:00:00 -0000

ros-one-laser-geometry (1.5.11-0jammy) jammy; urgency=high

  * added missing run deps

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 01 Jul 2013 00:00:00 -0000

ros-one-laser-geometry (1.5.10-0jammy) jammy; urgency=high

  * [bugfix] export boost and eigen via DEPENDS

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 28 Jun 2013 15:09:00 -0000

ros-one-laser-geometry (1.5.9-0jammy) jammy; urgency=high

  * [bugfix] export boost and eigen include dirs

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 28 Jun 2013 11:38:00 -0000

ros-one-laser-geometry (1.5.8-0jammy) jammy; urgency=high

  * Added buildtool_depend on catkin

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 14 Dec 2012 13:54:00 -0000

ros-one-laser-geometry (1.5.7-0jammy) jammy; urgency=high

  * CMake clean up

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 14 Dec 2012 13:48:00 -0000

ros-one-laser-geometry (1.5.6-0jammy) jammy; urgency=high

  * Removed vestigial manifest.xml

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 10 Dec 2012 00:00:00 -0000

ros-one-laser-geometry (1.5.5-0jammy) jammy; urgency=high

  * Added .count field (of 1) to every PointCloud2 field description.
    This fixes the bug referred to here: http://dev.pointclouds.org/issues/821 which is useful because that fix in PCL
    seems not to be released yet.
    Also this way is more correct, as far as I can tell.
  * Tidied up CMakeLists.txt based on Dirk's recommendations.

 -- Dave Hershberger <dave.hershberger@sri.com>  Thu, 15 Nov 2012 00:00:00 -0000

ros-one-laser-geometry (1.5.4-0jammy) jammy; urgency=high

  * added install rules to CMakeLists.txt needed for catkinization.
  * catkinized

 -- Dave Hershberger <dave.hershberger@sri.com>  Wed, 10 Oct 2012 00:00:00 -0000

=== debian/control ===
Source: ros-one-laser-geometry
Section: misc
Priority: optional
Maintainer: Dave Hershberger <dave.hershberger@sri.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-thread-dev, libeigen3-dev, ros-one-angles, ros-one-catkin (>= 0.5.68), ros-one-roscpp, ros-one-rostest, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2, ros-one-tf2-geometry-msgs
Homepage: http://ros.org/wiki/laser_geometry
Standards-Version: 3.9.2

Package: ros-one-laser-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-thread-dev, libboost-thread1.74.0, libeigen3-dev, python3-numpy, ros-one-angles, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2, ros-one-tf2-geometry-msgs
Description: This package contains a class for converting from a 2D laser scan as defined by sensor_msgs/LaserScan into a point cloud as defined by sensor_msgs/PointCloud or sensor_msgs/PointCloud2.
 In particular, it contains functionality to account for the skew resulting from moving robots or tilting laser scanners.

## ros-one-laser-geometry 1.6.7-5jammy.20251207.2149

=== debian/changelog ===
ros-one-laser-geometry (1.6.7-5jammy.20251207.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Hershberger <dave.hershberger@sri.com>  Sun, 07 Dec 2025 21:49:40 +0000

## ros-one-laser-geometry 1.6.7-5jammy.20260221.0146

=== debian/changelog ===
ros-one-laser-geometry (1.6.7-5jammy.20260221.0146) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Hershberger <dave.hershberger@sri.com>  Sat, 21 Feb 2026 01:46:57 +0000

## ros-one-laser-geometry 1.6.7-5noble.20251023.0905

=== debian/changelog ===
ros-one-laser-geometry (1.6.7-5noble.20251023.0905) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Hershberger <dave.hershberger@sri.com>  Thu, 23 Oct 2025 09:05:31 +0000

ros-one-laser-geometry (1.6.7-0noble) noble; urgency=high

  * Require C++11
  * Contributors: Mabel Zhang, Martin Pecka

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 05 Feb 2021 00:00:00 -0000

ros-one-laser-geometry (1.6.6-0noble) noble; urgency=high

  * Handle FindEigen3 module's differing definitions, define EIGEN3_INCLUDE_DIRS with EIGEN3_INCLUDE_DIR.
  * update maintainers
  * Added transformLaserScanToPointCloud() version utilizing fixed frame.
  * Contributors: Jonathan Binney, Mabel Zhang, Martin Pecka, Scott K Logan

 -- Dave Hershberger <dave.hershberger@sri.com>  Thu, 14 Jan 2021 00:00:00 -0000

ros-one-laser-geometry (1.6.5-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048
  * Update package.xml to schema version 3
  * Choose python version based on what ros is using
  * Make rostest headers available to projection_test
  * Remove unneeded time header - it was breaking windows builds.
  * add DLL import/export macro
  * export dll on Windows
  * rename visibility macro
  * windows bringup
  * extend CMake install targets
  * Add dependency on tf2 for downstream packages
  * Update and fix package.xml Eigen dependency
  * Export Eigen dependency
  * Create LICENSE
  * Better use of numpy
  * Contributors: Eric Wieser, James Xu, Jochen Sprickerhof, Jon Binney, Jonathan Binney, Scott K Logan, Shane Loretz, Tully Foote, Vincent Rabaud, William Woodall

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 13 Mar 2020 00:00:00 -0000

ros-one-laser-geometry (1.6.4-0noble) noble; urgency=high

  * Fix segfault when laserscan ranges[] is empty
  * Contributors: Timm Linder, Vincent Rabaud

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 18 May 2015 00:00:00 -0000

ros-one-laser-geometry (1.6.3-0noble) noble; urgency=high

  * provide support for tf2
  * Contributors: Vincent Rabaud

 -- Dave Hershberger <dave.hershberger@sri.com>  Sat, 07 Mar 2015 00:00:00 -0000

ros-one-laser-geometry (1.6.2-0noble) noble; urgency=high

  * adds python port (only simple projection)
  * allows to have range_cutoff > range_max
    NOTE this is required if we need to keep the range_max readings
    in the point cloud.
    An example application is an obstacle_layer in a costmap.
  * Contributors: Vincent Rabaud, enriquefernandez

 -- Dave Hershberger <dave.hershberger@sri.com>  Sun, 08 Jun 2014 00:00:00 -0000

ros-one-laser-geometry (1.6.1-0noble) noble; urgency=high

  * Added dependency on cmake_modules
  * Contributors: William Woodall

 -- Dave Hershberger <dave.hershberger@sri.com>  Sun, 23 Feb 2014 00:00:00 -0000

ros-one-laser-geometry (1.6.0-0noble) noble; urgency=high

  * Adding William Woodall as a co-maintainer
  * Contributors: Vincent Rabaud, William Woodall

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 21 Feb 2014 00:00:00 -0000

ros-one-laser-geometry (1.5.15-0noble) noble; urgency=high

  * Fix mistake in end_time calculation for scan transformation in #6

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 02 Dec 2013 00:00:00 -0000

ros-one-laser-geometry (1.5.14-0noble) noble; urgency=high

  * Treat max_range as invalid measurement
  * Properly propagate range_cutoff
  * check for CATKIN_ENABLE_TESTING

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 04 Nov 2013 00:00:00 -0000

ros-one-laser-geometry (1.5.13-0noble) noble; urgency=high

  * fixes #3 <https://github.com/ros-perception/laser_geometry/issues/3>

 -- Dave Hershberger <dave.hershberger@sri.com>  Sun, 06 Oct 2013 00:00:00 -0000

ros-one-laser-geometry (1.5.12-0noble) noble; urgency=high

  * fix case of Eigen find_package name

 -- Dave Hershberger <dave.hershberger@sri.com>  Sat, 14 Sep 2013 00:00:00 -0000

ros-one-laser-geometry (1.5.11-0noble) noble; urgency=high

  * added missing run deps

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 01 Jul 2013 00:00:00 -0000

ros-one-laser-geometry (1.5.10-0noble) noble; urgency=high

  * [bugfix] export boost and eigen via DEPENDS

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 28 Jun 2013 15:09:00 -0000

ros-one-laser-geometry (1.5.9-0noble) noble; urgency=high

  * [bugfix] export boost and eigen include dirs

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 28 Jun 2013 11:38:00 -0000

ros-one-laser-geometry (1.5.8-0noble) noble; urgency=high

  * Added buildtool_depend on catkin

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 14 Dec 2012 13:54:00 -0000

ros-one-laser-geometry (1.5.7-0noble) noble; urgency=high

  * CMake clean up

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 14 Dec 2012 13:48:00 -0000

ros-one-laser-geometry (1.5.6-0noble) noble; urgency=high

  * Removed vestigial manifest.xml

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 10 Dec 2012 00:00:00 -0000

ros-one-laser-geometry (1.5.5-0noble) noble; urgency=high

  * Added .count field (of 1) to every PointCloud2 field description.
    This fixes the bug referred to here: http://dev.pointclouds.org/issues/821 which is useful because that fix in PCL
    seems not to be released yet.
    Also this way is more correct, as far as I can tell.
  * Tidied up CMakeLists.txt based on Dirk's recommendations.

 -- Dave Hershberger <dave.hershberger@sri.com>  Thu, 15 Nov 2012 00:00:00 -0000

ros-one-laser-geometry (1.5.4-0noble) noble; urgency=high

  * added install rules to CMakeLists.txt needed for catkinization.
  * catkinized

 -- Dave Hershberger <dave.hershberger@sri.com>  Wed, 10 Oct 2012 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: ros-one-laser-geometry
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-thread-dev, libboost-thread1.74.0, libeigen3-dev, python3-numpy, ros-one-angles, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2, ros-one-tf2-geometry-msgs
+Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-thread-dev, libboost-thread1.83.0, libeigen3-dev, python3-numpy, ros-one-angles, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2, ros-one-tf2-geometry-msgs
 Description: This package contains a class for converting from a 2D laser scan as defined by sensor_msgs/LaserScan into a point cloud as defined by sensor_msgs/PointCloud or sensor_msgs/PointCloud2.
  In particular, it contains functionality to account for the skew resulting from moving robots or tilting laser scanners.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-laser-geometry//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-laser-geometry 1.6.7-5noble.20251208.0848

=== debian/changelog ===
ros-one-laser-geometry (1.6.7-5noble.20251208.0848) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 08 Dec 2025 08:48:47 +0000

## ros-one-laser-geometry 1.6.7-5noble.20260221.2117

=== debian/changelog ===
ros-one-laser-geometry (1.6.7-5noble.20260221.2117) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Hershberger <dave.hershberger@sri.com>  Sat, 21 Feb 2026 21:17:24 +0000
